<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * List Contains ViewHelper
 * List contains object ViewHelper
 */
class Tx_GrdsLanguageMenu_ViewHelpers_List_ListContainsViewHelper extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {
	
	/**
	 * render function
	 *
	 * @param mixed $needle The searched value
	 * @param mixed $array The array
	 * @return boolean
	 */
	public function render($needle, $array) {
		if (is_object($array)) {
			if (!$array instanceof Traversable) {
				throw new Tx_Fluid_Core_ViewHelper_Exception('ForViewHelper only supports arrays and objects implementing Traversable interface', 1248728393);
			}
			$array = $this -> convertToArray($array);
		}
		return in_array($needle, $array);
	}
}
?>