<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_grdslanguagemenu_domain_model_region'] = array(
	'ctrl' => $TCA['tx_grdslanguagemenu_domain_model_region']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, name, flag, abbreviation, languages',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, name, flag, abbreviation, languages,--div--;LLL:EXT:cms/locallang_ttc.xml:tabs.access,starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_grdslanguagemenu_domain_model_region',
				'foreign_table_where' => 'AND tx_grdslanguagemenu_domain_model_region.pid=###CURRENT_PID### AND tx_grdslanguagemenu_domain_model_region.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:grds_language_menu/Resources/Private/Language/locallang_db.xml:tx_grdslanguagemenu_domain_model_region.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'flag' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:grds_language_menu/Resources/Private/Language/locallang_db.xml:tx_grdslanguagemenu_domain_model_region.flag',
			'config' => array(
				'type' => 'group',
				'internal_type' => 'file',
				'show_thumbs' => 1,
				'size' => 1,
				'allowed' => 'gif,jpg,jpeg,png,svg',
				'disallowed' => '',
			),
		),
		'abbreviation' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:grds_language_menu/Resources/Private/Language/locallang_db.xml:tx_grdslanguagemenu_domain_model_region.abbreviation',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'languages' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:grds_language_menu/Resources/Private/Language/locallang_db.xml:tx_grdslanguagemenu_domain_model_region.languages',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'MM' => 'tx_grdslanguagemenu_region_language_mm',
				'size' => 10,
				'autoSizeMax' => 10,
				'maxitems' => 9999,
				'multiple' => 0
			),
		),
	),
);

?>